# rhbz#2142334: zig_arches is not defined in the srpm buildroot
%if 0%{!?zig_arches:1}
%global zig_arches x86_64 aarch64 riscv64 %{mips64}
%endif

Name:           waylock
Version:        0.6.4
Release:        0.1%{?dist}
Summary:        Small screenlocker for Wayland compositors

# waylock: ISC
# deps/zig-wayland: MIT
# deps/zig-xkbcommon: MIT
License:        ISC AND MIT
URL:            https://codeberg.org/ifreund/waylock
Source0:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/download/v%{version}/%{name}-%{version}.tar.gz.sig
# Isaac Freund <mail@isaacfreund.com>
Source2:        https://isaacfreund.com/public_key.txt#/gpgkey-86DED400DDFD7A11.gpg

ExclusiveArch:  %{zig_arches}

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  scdoc
BuildRequires:  (zig >= 0.11 with zig < 0.12)
BuildRequires:  zig-rpm-macros

BuildRequires:  pam-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xkbcommon)

# As of now, zig does not provide a package manager or any other official way
# to consume a library code other than referencing it directly by file path.
# There are some community-maintained tools, but this project does not use
# any of those.
#
# In theory we can unbundle the libs by patching paths in build.zig, but given
# that there's no standard location for system packages and the fact that all
# of the libs below are git snapshots from the same upstream, it's not worth
# the effort.
Provides:       bundled(zig-wayland)
Provides:       bundled(zig-xkbcommon)

%description
Waylock is a small screenlocker for Wayland compositors implementing
ext-session-lock-v1.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%zig_build -Dpie

%install
%zig_install -Dpie


%files
%license LICENSE
%doc README.md
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Jan 01 2023 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.5.0-0.1
- Initial package
